Tasks

Bulk Snooze

POST/v1/tasks/bulk-snooze
POST
/v1/tasks/bulk-snooze

Snooze multiple tasks with snooze duration or until a specific time

You can snooze up to 10,000 tasks at a time.

This can be a large request and may take some time to complete. But you will get response immediately after the request is submitted.

On request of this API, you will receive a bulkActionId that can be used to check the status of the snooze process.

To check the status of the snooze process, you can use the v1/tasks/bulk-status/{bulkActionId} API.

If there is any error during the snooze process, you will receive detailed error information in the status response.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

Bulk snooze task request payload

taskIdsarray<string>

Array of task IDs to snooze

Example: ["lP0Zg2keMz","MP0Cg1keMa","BS0Zg5keMq"]

snoozeUntilstring

Date and time until which the tasks should be snoozed

Example: "2024-06-17T05:55:38.434Z"Format: "date-time"

Responses

200
Snooze request accepted. Use the bulk status API to track results.
{
  "bulkActionId": "lP0Zg2keMz",
  "message": "Snooze request accepted. Use the bulk status API to track results.",
  "statusCheckUrl": "/v1/tasks/bulk-status/lP0Zg2keMz"
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/tasks/bulk-snooze" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "taskIds": [
    "lP0Zg2keMz",
    "MP0Cg1keMa",
    "BS0Zg5keMq"
  ],
  "snoozeUntil": "2024-06-17T05:55:38.434Z"
}'

Response

No response body